library adaptive_button;
import 'dart:io';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
class AdaptiveButton extends StatelessWidget {
  const AdaptiveButton(
      {super.key,
      this.width,
      this.height,
      required this.child,
      this.onPressed,
      this.color,
      this.borderRadius});

  final double? width;
  final double? height;
  final Widget child;
  final Color? color;
  final BorderRadius? borderRadius;

  final void Function()? onPressed;

  @override
  Widget build(BuildContext context) {
    return Container(
      width: width,
      height: height,
      margin: const EdgeInsets.all(8),
      child: Platform.isIOS
          ? CupertinoButton(
              borderRadius: borderRadius ?? BorderRadius.circular(8),
              padding: const EdgeInsets.symmetric(horizontal: 16),
              color: color ?? Colors.purple,
              onPressed: onPressed,
              child: child,
            )
          : ElevatedButton(
              style: ElevatedButton.styleFrom(
                  shape: RoundedRectangleBorder(
                      borderRadius: borderRadius ?? BorderRadius.circular(8)),
                  backgroundColor: color,
                  padding: const EdgeInsets.symmetric(horizontal: 8)),
              onPressed: onPressed,
              child: child),
    );
  }
}
